> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Add tabs for recipient

POST https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/templates/{templateId}/recipients/{recipientId}/tabs
Content-Type: application/json

Adds one or more tabs for a recipient.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/templates/templaterecipienttabs/create

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `recipientId` (string, required) — A local reference used to map recipients to other objects, such as specific document tabs. A `recipientId` must be either an integer or a GUID, and the `recipientId` must be unique within an envelope. For example, many envelopes assign the first recipient a `recipientId` of `1`.
- `templateId` (string, required) — The ID of the template.

### Body (application/json)

This endpoint expects a templateTabs.

- `approveTabs` (list of approve, optional) — A list of [Approve tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). An Approve tab enables the recipient to approve documents without placing a signature or initials on the document. If the recipient clicks the tab during the signing process, the recipient is considered to have signed the document. No information is shown on the document of the approval, but it is recorded as a signature in the envelope history. The value of an approve tab can't be set.
- `checkboxTabs` (list of checkbox, optional) — A list of [Checkbox tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Checkbox tab enables the recipient to select a yes/no (on/off) option. This value can be set.
- `commentThreadTabs` (list of commentThread, optional) — An array of tabs that represents a collection of comments in a comment thread. For example, if a recipient has questions about the content of a document, they can add a comment to the document and control who else can see the comment. This value can't be set.
- `commissionCountyTabs` (list of commissionCounty, optional) — A list of [Commission County tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Commission County tab displays the county of a notary's commission. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/). The tab's value can be edited by the recipient.
- `commissionExpirationTabs` (list of commissionExpiration, optional) — A list of [Commission Expiration tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Commission Expiration tab displays the expiration date of a notary's commission. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/). The tab's value can be edited by the recipient.
- `commissionNumberTabs` (list of commissionNumber, optional) — A list of [Commission Number tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Commission Number tab displays a notary's commission number. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/). The tab's value can be edited by the recipient.
- `commissionStateTabs` (list of commissionState, optional) — A list of [Commission State tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Commission County tab displays the state in which a notary's commission was granted. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/). The tab's value can be edited by the recipient.
- `companyTabs` (list of company, optional) — A list of [Company tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#parameters_company). A Company tab displays a field for the name of the recipient's company. This value can't be set.
- `dateSignedTabs` (list of dateSigned, optional) — A list of [Date Signed tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Date Signed tab displays the date that the recipient signed the document. This value can't be set.
- `dateTabs` (list of date, optional) — A list of [Date tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Date tab enables the recipient to enter a date. This value can't be set. The tooltip for this tab recommends the date format MM/DD/YYYY, but several other date formats are also accepted. The system retains the format that the recipient enters. **Note:** If you need to enforce a specific date format, Docusign recommends that you use a Text tab with a validation pattern and validation message.
- `declineTabs` (list of decline, optional) — A list of [Decline tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Decline tab enables the recipient to decline the envelope. If the recipient clicks the tab during the signing process, the envelope is voided. The value of this tab can't be set.
- `drawTabs` (list of draw, optional) — A list of Draw Tabs. A Draw Tab allows the recipient to add a free-form drawing to the document.
- `emailAddressTabs` (list of emailAddress, optional) — A list of [Email Address tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). An Email Address tab displays the recipient's email as entered in the recipient information. This value can't be set.
- `emailTabs` (list of email, optional) — A list of [Email tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). An Email tab enables the recipient to enter an email address. This is a one-line field that checks that a valid email address is entered. It uses the same parameters as a Text tab, with the validation message and pattern set for email information. This value can be set. When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response.
- `envelopeIdTabs` (list of envelopeId, optional) — A list of [Envelope ID tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#response201_envelopeid). An Envelope ID tab displays the envelope ID. Recipients cannot enter or change the information in this tab. This value can't be set.
- `firstNameTabs` (list of firstName, optional) — A list of [First Name tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#parameters_firstname). A First Name tab displays the recipient's first name. The system automatically populates this field by splitting the name in the recipient information on spaces. This value can't be set.
- `formulaTabs` (list of formulaTab, optional) — A list of [Formula tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). The value of a Formula tab is calculated from the values of other number or date tabs in the document. When the recipient completes the underlying fields, the Formula tab calculates and displays the result. This value can be set. The `formula` property of the tab contains the references to the underlying tabs. To learn more about formulas, see [Calculated Fields](https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=crs1578456361259.html). If a Formula tab contains a `paymentDetails` property, the tab is considered a payment item. To learn more about payments, see [Requesting Payments Along with Signatures](https://support.docusign.com/s/document-item?bundleId=juu1573854950452&topicId=fyw1573854935374.html).
- `fullNameTabs` (list of fullName, optional) — A list of [Full Name tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Full Name tab displays the recipient's full name. This value can't be set.
- `initialHereTabs` (list of initialHere, optional) — A list of [Initial Here tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). This type of tab enables the recipient to initial the document. May be optional. This value can't be set.
- `lastNameTabs` (list of lastName, optional) — A list of [Last Name tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Last Name tab displays the recipient's last name. The system automatically populates this field by splitting the name in the recipient information on spaces. This value can't be set.
- `listTabs` (list of list, optional) — An array of List tabs. A List tab enables the recipient to choose from a list of options. You specify the options in the `listItems` property. This value can't be set. Find descriptions of all tab types in the [EnvelopeRecipientTabs Resource](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/).
- `notarizeTabs` (list of notarize, optional) — A list of [Notarize tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Notarize tab alerts notary recipients that they must take action on the page. This value can be set. **Note:** Only one notarize tab can appear on a page.
- `notarySealTabs` (list of notarySeal, optional) — A list of Notary Seal tabs. A Notary Seal tab enables the recipient to notarize a document. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/).
- `noteTabs` (list of note, optional) — A list of [Note tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Note tab displays additional information to the recipient in the form of a note. This value can be set.
- `numberTabs` (list of number, optional) — A list of Number tabs. Number tabs validate that the entered value is a number. They do not support advanced validation or display options. To learn more about the different forms of number tabs, see [Number fields](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/) in the Concepts guide. For specific information about number tabs see [Features of numberTabs](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/#features-of-numbertabs).
- `numericalTabs` (list of numerical, optional) — A list of numerical tabs. Numerical tabs provide robust display and validation features, including formatting for different regions and currencies, and minimum and maximum value validation. To learn more about the different forms of number tabs, see [Number fields](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/) in the Concepts guide. For specific information about numerical tabs see [Features of numericalTabs](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/#features-of-numericaltabs).
- `phoneNumberTabs` (list of phoneNumber, optional) — A list of [Phone Number tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Phone Number tab enables a recipient to enter a phone number. **Note:** This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/).
- `polyLineOverlayTabs` (list of polyLineOverlay, optional) — This type of tab enables the recipient to strike through document text. This value can't be set.
- `prefillTabs` (prefillTabs, optional) — Prefill tabs are tabs that the sender can fill in before the envelope is sent. They are sometimes called sender tags or pre-fill fields. Only the following tab types can be prefill tabs: - text - check boxes - radio buttons [Pre-Fill Your Own Document Fields][app] describes how prefill tabs work in the web application. [Customize your envelopes with pre-fill fields][catblog] shows how to use prefill tabs in your application using the eSignature SDKs. [app]: https://support.docusign.com/en/guides/ndse-user-guide-prefill-fields [catblog]: https://www.docusign.com/blog/developers/common-api-tasks-customize-your-envelopes-pre-fill-fields
- `radioGroupTabs` (list of radioGroup, optional) — A list of [Radio Group tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Radio Group tab places a group of radio buttons on a document. The `radios` property is used to add and place the radio buttons associated with the group. Only one radio button can be selected in a group. This value can be set.
- `signerAttachmentTabs` (list of signerAttachment, optional) — A list of [Signer Attachment tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). This type of tab enables the recipient to attach supporting documents to an envelope. This value can't be set.
- `signHereTabs` (list of signHere, optional) — A list of [Sign Here tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). This type of tab enables the recipient to sign a document. May be optional. This value can't be set.
- `smartSectionTabs` (list of smartSection, optional) — A list of [Smart Section](https://www.docusign.com/blog/dsdev-deep-dive-responsive-smart-sections) tabs. Smart Section tabs enhance responsive signing on mobile devices by enabling collapsible sections, page breaks, custom formatting options, and other advanced functionality. **Note:** Smart Sections are a premium feature. Responsive signing must also be enabled for your account.
- `ssnTabs` (list of ssn, optional) — A list of [SSN tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). An SSN tab contains a one-line field that enables the recipient to enter a Social Security Number (SSN) with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for SSN information. This value can be set.
- `tabGroups` (list of tabGroup, optional) — An array of `tabGroup` items. To associate a tab with a tab group, add the tab group's `groupLabel` to the tab's `tabGroupLabels` array.
- `textTabs` (list of text, optional) — A list of Text tabs. A text tab enables the recipient to enter free text. This value can be set. Find descriptions of all tab types in the [EnvelopeRecipientTabs Resource](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/).
- `titleTabs` (list of title, optional) — A list of [Title tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Title tab displays the recipient's title. This value can't be set.
- `viewTabs` (list of view, optional) — A list of [View tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A View tab is used with an Approve tab to handle supplemental documents. This value can be set.
- `zipTabs` (list of zip, optional) — A list of [Zip tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Zip tab enables the recipient to enter a ZIP code. The ZIP code can be five digits or nine digits ( in ZIP+4 format), and can be entered with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for ZIP code information. This value can be set.

## Response

### 201

Successful response.

- `approveTabs` (list of approve, optional) — A list of [Approve tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). An Approve tab enables the recipient to approve documents without placing a signature or initials on the document. If the recipient clicks the tab during the signing process, the recipient is considered to have signed the document. No information is shown on the document of the approval, but it is recorded as a signature in the envelope history. The value of an approve tab can't be set.
- `checkboxTabs` (list of checkbox, optional) — A list of [Checkbox tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Checkbox tab enables the recipient to select a yes/no (on/off) option. This value can be set.
- `commentThreadTabs` (list of commentThread, optional) — An array of tabs that represents a collection of comments in a comment thread. For example, if a recipient has questions about the content of a document, they can add a comment to the document and control who else can see the comment. This value can't be set.
- `commissionCountyTabs` (list of commissionCounty, optional) — A list of [Commission County tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Commission County tab displays the county of a notary's commission. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/). The tab's value can be edited by the recipient.
- `commissionExpirationTabs` (list of commissionExpiration, optional) — A list of [Commission Expiration tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Commission Expiration tab displays the expiration date of a notary's commission. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/). The tab's value can be edited by the recipient.
- `commissionNumberTabs` (list of commissionNumber, optional) — A list of [Commission Number tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Commission Number tab displays a notary's commission number. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/). The tab's value can be edited by the recipient.
- `commissionStateTabs` (list of commissionState, optional) — A list of [Commission State tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Commission County tab displays the state in which a notary's commission was granted. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/). The tab's value can be edited by the recipient.
- `companyTabs` (list of company, optional) — A list of [Company tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#parameters_company). A Company tab displays a field for the name of the recipient's company. This value can't be set.
- `dateSignedTabs` (list of dateSigned, optional) — A list of [Date Signed tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Date Signed tab displays the date that the recipient signed the document. This value can't be set.
- `dateTabs` (list of date, optional) — A list of [Date tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Date tab enables the recipient to enter a date. This value can't be set. The tooltip for this tab recommends the date format MM/DD/YYYY, but several other date formats are also accepted. The system retains the format that the recipient enters. **Note:** If you need to enforce a specific date format, Docusign recommends that you use a Text tab with a validation pattern and validation message.
- `declineTabs` (list of decline, optional) — A list of [Decline tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Decline tab enables the recipient to decline the envelope. If the recipient clicks the tab during the signing process, the envelope is voided. The value of this tab can't be set.
- `drawTabs` (list of draw, optional) — A list of Draw Tabs. A Draw Tab allows the recipient to add a free-form drawing to the document.
- `emailAddressTabs` (list of emailAddress, optional) — A list of [Email Address tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). An Email Address tab displays the recipient's email as entered in the recipient information. This value can't be set.
- `emailTabs` (list of email, optional) — A list of [Email tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). An Email tab enables the recipient to enter an email address. This is a one-line field that checks that a valid email address is entered. It uses the same parameters as a Text tab, with the validation message and pattern set for email information. This value can be set. When getting information that includes this tab type, the original value of the tab when the associated envelope was sent is included in the response.
- `envelopeIdTabs` (list of envelopeId, optional) — A list of [Envelope ID tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#response201_envelopeid). An Envelope ID tab displays the envelope ID. Recipients cannot enter or change the information in this tab. This value can't be set.
- `firstNameTabs` (list of firstName, optional) — A list of [First Name tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#parameters_firstname). A First Name tab displays the recipient's first name. The system automatically populates this field by splitting the name in the recipient information on spaces. This value can't be set.
- `formulaTabs` (list of formulaTab, optional) — A list of [Formula tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). The value of a Formula tab is calculated from the values of other number or date tabs in the document. When the recipient completes the underlying fields, the Formula tab calculates and displays the result. This value can be set. The `formula` property of the tab contains the references to the underlying tabs. To learn more about formulas, see [Calculated Fields](https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=crs1578456361259.html). If a Formula tab contains a `paymentDetails` property, the tab is considered a payment item. To learn more about payments, see [Requesting Payments Along with Signatures](https://support.docusign.com/s/document-item?bundleId=juu1573854950452&topicId=fyw1573854935374.html).
- `fullNameTabs` (list of fullName, optional) — A list of [Full Name tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Full Name tab displays the recipient's full name. This value can't be set.
- `initialHereTabs` (list of initialHere, optional) — A list of [Initial Here tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). This type of tab enables the recipient to initial the document. May be optional. This value can't be set.
- `lastNameTabs` (list of lastName, optional) — A list of [Last Name tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Last Name tab displays the recipient's last name. The system automatically populates this field by splitting the name in the recipient information on spaces. This value can't be set.
- `listTabs` (list of list, optional) — An array of List tabs. A List tab enables the recipient to choose from a list of options. You specify the options in the `listItems` property. This value can't be set. Find descriptions of all tab types in the [EnvelopeRecipientTabs Resource](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/).
- `notarizeTabs` (list of notarize, optional) — A list of [Notarize tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Notarize tab alerts notary recipients that they must take action on the page. This value can be set. **Note:** Only one notarize tab can appear on a page.
- `notarySealTabs` (list of notarySeal, optional) — A list of Notary Seal tabs. A Notary Seal tab enables the recipient to notarize a document. This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/).
- `noteTabs` (list of note, optional) — A list of [Note tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Note tab displays additional information to the recipient in the form of a note. This value can be set.
- `numberTabs` (list of number, optional) — A list of Number tabs. Number tabs validate that the entered value is a number. They do not support advanced validation or display options. To learn more about the different forms of number tabs, see [Number fields](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/) in the Concepts guide. For specific information about number tabs see [Features of numberTabs](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/#features-of-numbertabs).
- `numericalTabs` (list of numerical, optional) — A list of numerical tabs. Numerical tabs provide robust display and validation features, including formatting for different regions and currencies, and minimum and maximum value validation. To learn more about the different forms of number tabs, see [Number fields](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/) in the Concepts guide. For specific information about numerical tabs see [Features of numericalTabs](/docs/esign-rest-api/esign101/concepts/tabs/number-fields/#features-of-numericaltabs).
- `phoneNumberTabs` (list of phoneNumber, optional) — A list of [Phone Number tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Phone Number tab enables a recipient to enter a phone number. **Note:** This tab can only be assigned to a remote notary recipient using [Docusign Notary](/docs/notary-api/).
- `polyLineOverlayTabs` (list of polyLineOverlay, optional) — This type of tab enables the recipient to strike through document text. This value can't be set.
- `prefillTabs` (prefillTabs, optional) — Prefill tabs are tabs that the sender can fill in before the envelope is sent. They are sometimes called sender tags or pre-fill fields. Only the following tab types can be prefill tabs: - text - check boxes - radio buttons [Pre-Fill Your Own Document Fields][app] describes how prefill tabs work in the web application. [Customize your envelopes with pre-fill fields][catblog] shows how to use prefill tabs in your application using the eSignature SDKs. [app]: https://support.docusign.com/en/guides/ndse-user-guide-prefill-fields [catblog]: https://www.docusign.com/blog/developers/common-api-tasks-customize-your-envelopes-pre-fill-fields
- `radioGroupTabs` (list of radioGroup, optional) — A list of [Radio Group tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Radio Group tab places a group of radio buttons on a document. The `radios` property is used to add and place the radio buttons associated with the group. Only one radio button can be selected in a group. This value can be set.
- `signerAttachmentTabs` (list of signerAttachment, optional) — A list of [Signer Attachment tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). This type of tab enables the recipient to attach supporting documents to an envelope. This value can't be set.
- `signHereTabs` (list of signHere, optional) — A list of [Sign Here tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). This type of tab enables the recipient to sign a document. May be optional. This value can't be set.
- `smartSectionTabs` (list of smartSection, optional) — A list of [Smart Section](https://www.docusign.com/blog/dsdev-deep-dive-responsive-smart-sections) tabs. Smart Section tabs enhance responsive signing on mobile devices by enabling collapsible sections, page breaks, custom formatting options, and other advanced functionality. **Note:** Smart Sections are a premium feature. Responsive signing must also be enabled for your account.
- `ssnTabs` (list of ssn, optional) — A list of [SSN tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). An SSN tab contains a one-line field that enables the recipient to enter a Social Security Number (SSN) with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for SSN information. This value can be set.
- `tabGroups` (list of tabGroup, optional) — An array of `tabGroup` items. To associate a tab with a tab group, add the tab group's `groupLabel` to the tab's `tabGroupLabels` array.
- `textTabs` (list of text, optional) — A list of Text tabs. A text tab enables the recipient to enter free text. This value can be set. Find descriptions of all tab types in the [EnvelopeRecipientTabs Resource](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/).
- `titleTabs` (list of title, optional) — A list of [Title tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Title tab displays the recipient's title. This value can't be set.
- `viewTabs` (list of view, optional) — A list of [View tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A View tab is used with an Approve tab to handle supplemental documents. This value can be set.
- `zipTabs` (list of zip, optional) — A list of [Zip tabs](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/). A Zip tab enables the recipient to enter a ZIP code. The ZIP code can be five digits or nine digits ( in ZIP+4 format), and can be entered with or without dashes. It uses the same parameters as a Text tab, with the validation message and pattern set for ZIP code information. This value can be set.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### approve

A tab that allows the recipient to approve documents without placing a signature or initials on the document.

- `agreementAttribute` (string, optional) — N/A - do not use
- `agreementAttributeLocked` (string, optional) — N/A - do not use
- `anchorAllowWhiteSpaceInCharacters` (string, optional) — When **true,** the text string in the document may have extra whitespace and still match the anchor string. This occurs in two cases. First, it matches if the document string has a single extra whitespace character following a non-whitespace character in the anchor string. For example, if the anchor string is `DocuSign`, then `Docu Sign` will match. However, `Docu Sign` will not match. Second, it matches if the document string has one or more extra whitespace characters following a whitespace character in the anchor string. For example, if the anchor string is `Docu Sign`, then `Docu Sign` will match. The default value is **true.**
- `anchorAllowWhiteSpaceInCharactersMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorCaseSensitive` (string, optional) — This property controls how [anchor tabs](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) are placed. When **true,** the text string in a document must match the case of the `anchorString` property for an anchor tab to be created. The default value is **false.** For example, when set to **true,** if the anchor string is `DocuSign`, then `DocuSign` will match but `Docusign`, `docusign`, `DoCuSiGn`, etc. will not match. When **false,** `DocuSign`, `Docusign`, `docusign`, `DoCuSiGn`, etc. will all match. This functionality uses the following rules: - Unless punctuation is specified in the `anchorString`, this functionality ignores punctuation and the following characters: $~>&lt;|^+= For example, the `anchorString` `water` will match on the string `Fetch a pail of water.` - Strings embedded in other strings are ignored during the matching process. - In words that have dashes, the parts separated by dashes are treated as distinct words. Example: If the anchor string is `forget`, then an anchor tab is placed on the `forget` in `forget-me-not`, even when `anchorMatchWholeWord` is set to **true.** - Letters with accent marks are treated as distinct characters from their unaccented counterparts. - For single-character anchor strings, if the two characters appear right next to each other in the document, a single anchor tab is placed for both of them. Example: If the anchor string is `i`, then only one anchor tab is placed in `skiing`. - Unlike punctuation, numbers are not ignored when finding anchor words. Example: If the anchor string is `cat`, then `-cat-` is matched but `1cat2` is not when `anchorMatchWholeWord` is set to **true** (its default value). **Note:** You can only specify the value of this property in POST requests.
- `anchorCaseSensitiveMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorHorizontalAlignment` (string, optional) — This property controls how [anchor tabs](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) are aligned in relation to the anchor text. Possible values are : - `left`: Aligns the left side of the tab with the beginning of the first character of the matching anchor word. This is the default value. - `right`: Aligns the tab’s left side with the last character of the matching anchor word. **Note:** You can only specify the value of this property in POST requests.
- `anchorHorizontalAlignmentMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorIgnoreIfNotPresent` (string, optional) — When **true,** this tab is ignored if the `anchorString` is not found in the document.
- `anchorIgnoreIfNotPresentMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorMatchWholeWord` (string, optional) — When **true,** the text string in a document must match the value of the `anchorString` property in its entirety for an [anchor tab](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) to be created. The default value is **false.** For example, when set to **true,** if the input is `man` then `man` will match but `manpower`, `fireman`, and `penmanship` will not. When **false,** if the input is `man` then `man`, `manpower`, `fireman`, and `penmanship` will all match. This functionality uses the following rules: - Unless punctuation is specified in the `anchorString`, this functionality ignores punctuation and the following characters: $~>&lt;|^+= For example, the `anchorString` `water` will match on the string `Fetch a pail of water.` - Strings embedded in other strings are ignored during the matching process. - In words that have dashes, the parts separated by dashes are treated as distinct words. Example: If the anchor string is `forget`, then an anchor tab is placed on the `forget` in `forget-me-not`, even when `anchorMatchWholeWord` is set to **true.** - Letters with accent marks are treated as distinct characters from their unaccented counterparts. - For single-character anchor strings, if the two characters appear right next to each other in the document, a single anchor tab is placed for both of them. Example: If the anchor string is `i`, then only one anchor tab is placed in `skiing`. - Unlike punctuation, numbers are not ignored when finding anchor words. Example: If the anchor string is `cat`, then `-cat-` is matched but `1cat2` is not when `anchorMatchWholeWord` is set to **true** (its default value). **Note:** You can only specify the value of this property in POST requests.
- `anchorMatchWholeWordMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorString` (string, optional) — Specifies the string to find in the document and use as the basis for tab placement.
- `anchorStringMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorTabProcessorVersion` (string, optional) — Reserved for Docusign.
- `anchorTabProcessorVersionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorTabScope` (string, optional)
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` (default) - `inches` - `mms` - `cms`
- `anchorUnitsMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab, in anchorUnits, relative to the anchorString.
- `anchorXOffsetMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab, in anchorUnits, relative to the anchorString.
- `anchorYOffsetMetadata` (propertyMetadata, optional) — Metadata about a property.
- `bold` (string, optional) — When **true,** the information in the tab is bold.
- `boldMetadata` (propertyMetadata, optional) — Metadata about a property.
- `buttonText` (string, optional) — Specifies the approval text that displays in the tab.
- `buttonTextMetadata` (propertyMetadata, optional) — Metadata about a property.
- `caption` (string, optional)
- `captionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `conditionalParentValueMetadata` (propertyMetadata, optional) — Metadata about a property.
- `connectedObjectDetails` (connectedObjectDetails, optional)
- `customTabId` (string, optional) — The Docusign-generated custom tab ID for the custom tab to be applied. You can only use this when adding new tabs for a recipient. When used, the new tab inherits all of the properties of the custom tab.
- `customTabIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `documentIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `extensionData` (extensionData, optional)
- `font` (string, optional) — The font to be used for the tab value. Supported fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OcrA (OCR-A) - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color to use for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontColorMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fontMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `fontSizeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formOrder` (string, optional) — An integer specifying the order in which the guided form HTML should render. The order is relative to the `formPageLabel`, the group by which to place the guided form HTML block.
- `formOrderMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formPageLabel` (string, optional) — A string specifying the group in which to place the guided form HTML. Each group displays as a separate guided forms page in the signing experience.
- `formPageLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formPageNumber` (string, optional) — An integer specifying the order in which to present the guided form pages.
- `formPageNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `height` (string, optional) — The height of the tab in pixels. Must be an integer.
- `heightMetadata` (propertyMetadata, optional) — Metadata about a property.
- `italic` (string, optional) — When **true,** the information in the tab is italic.
- `italicMetadata` (propertyMetadata, optional) — Metadata about a property.
- `localePolicy` (localePolicyTab, optional) — Allows you to customize locale settings.
- `mergeField` (mergeField, optional) — Contains information for transferring values between Salesforce data fields and Docusign tabs.
- `mergeFieldXml` (string, optional) — Reserved for Docusign.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located. For supplemental documents, this value must be `1`.
- `pageNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `recipientId` (string, optional) — The ID of the recipient to whom the tab will be assigned. This value should match the `recipientId` defined in the recipient object.
- `recipientIdGuid` (string, optional) — The globally-unique identifier (GUID) for a specific recipient on a specific envelope. If the same recipient is associated with multiple envelopes, they will have a different GUID for each one. This property is read-only.
- `recipientIdGuidMetadata` (propertyMetadata, optional) — Metadata about a property.
- `recipientIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `smartContractInformation` (smartContractInformation, optional)
- `source` (string, optional) — Reserved for Docusign.
- `status` (string, optional) — The status of the tab. Possible values are: - `active`: The tab is active, but the recipient has not yet interacted with it. - `signed`: The recipient signed the tab. - `declined`: The recipient declined the envelope. - `na`: Used when the `status` property is not applicable to the tab type. (For example, a tab that has the `tabType` `SignerAttachmentOptional`).
- `statusMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabFullyQualifiedPath` (string, optional)
- `tabGroupLabels` (list of string, optional) — An array of tab groups that this tab belongs to. Tab groups are identified by their `groupLabel` property. To associate this tab with a tab group, add the tab group's `groupLabel` to this array.
- `tabGroupLabelsMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabLabel` (string, optional) — The label associated with the tab. This value may be an empty string. If no value is provided, the tab type is used as the value. Maximum Length: 500 characters.
- `tabLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `tabOrderMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabType` (string, optional) — Indicates the type of tab (for example, `signHere` or `initialHere`).
- `tabTypeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `templateLocked` (string, optional) — When **true,** the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateLockedMetadata` (propertyMetadata, optional) — Metadata about a property.
- `templateRequired` (string, optional) — When **true,** the sender may not remove the recipient. Used only when working with template recipients.
- `templateRequiredMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tooltip` (string, optional) — **Note:** Approve tabs never display this tooltip in the signing interface. Although you can technically set a value via the API for this tab, it will not be displayed to the recipient.
- `toolTipMetadata` (propertyMetadata, optional) — Metadata about a property.
- `underline` (string, optional) — When **true,** the information in the tab is underlined.
- `underlineMetadata` (propertyMetadata, optional) — Metadata about a property.
- `warningDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `width` (string, optional) — The width of the tab in pixels. Must be an integer.
- `widthMetadata` (propertyMetadata, optional) — Metadata about a property.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. Docusign uses 72 DPI when determining position. Required. Must be an integer. May be zero. To improve the tab's position on the document, Docusign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `xPositionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. Docusign uses 72 DPI when determining position. Required. Must be an integer. May be zero. To improve the tab's position on the document, Docusign recommends adjusting `xPosition` and `yPosition` coordinates by (-3, -2)
- `yPositionMetadata` (propertyMetadata, optional) — Metadata about a property.

### checkbox

A tab that allows the recipient to select a yes/no (on/off) option.

- `agreementAttribute` (string, optional) — When the completed envelope is ingested into Docusign Navigator, the value of this tab is copied to one of the following agreement attributes: - `AutomaticRenewal`: whether the agreement renews automatically (`true`/`false`) - `ContactEmail`: the contact’s email address - `ContactName`: the contact’s name - `ContractValue`: the monetary value of the contract - `EffectiveDate`: the contract’s effective date - `ExpirationDate`: the contract’s expiration date - `Party`: one of the parties to the agreement - `RenewalNoticePeriod`: the renewal notice period for the contract - `RenewalTerm`: the renewal term for the contract
- `agreementAttributeLocked` (string, optional) — When set to `true`, this setting prevents the Docusign web app from allowing the user to modify the agreement attribute.
- `anchorAllowWhiteSpaceInCharacters` (string, optional) — When **true,** the text string in the document may have extra whitespace and still match the anchor string. This occurs in two cases. First, it matches if the document string has a single extra whitespace character following a non-whitespace character in the anchor string. For example, if the anchor string is `DocuSign`, then `Docu Sign` will match. However, `Docu Sign` will not match. Second, it matches if the document string has one or more extra whitespace characters following a whitespace character in the anchor string. For example, if the anchor string is `Docu Sign`, then `Docu Sign` will match. The default value is **true.**
- `anchorAllowWhiteSpaceInCharactersMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorCaseSensitive` (string, optional) — This property controls how [anchor tabs](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) are placed. When **true,** the text string in a document must match the case of the `anchorString` property for an anchor tab to be created. The default value is **false.** For example, when set to **true,** if the anchor string is `DocuSign`, then `DocuSign` will match but `Docusign`, `docusign`, `DoCuSiGn`, etc. will not match. When **false,** `DocuSign`, `Docusign`, `docusign`, `DoCuSiGn`, etc. will all match. This functionality uses the following rules: - Unless punctuation is specified in the `anchorString`, this functionality ignores punctuation and the following characters: $~>&lt;|^+= For example, the `anchorString` `water` will match on the string `Fetch a pail of water.` - Strings embedded in other strings are ignored during the matching process. - In words that have dashes, the parts separated by dashes are treated as distinct words. Example: If the anchor string is `forget`, then an anchor tab is placed on the `forget` in `forget-me-not`, even when `anchorMatchWholeWord` is set to **true.** - Letters with accent marks are treated as distinct characters from their unaccented counterparts. - For single-character anchor strings, if the two characters appear right next to each other in the document, a single anchor tab is placed for both of them. Example: If the anchor string is `i`, then only one anchor tab is placed in `skiing`. - Unlike punctuation, numbers are not ignored when finding anchor words. Example: If the anchor string is `cat`, then `-cat-` is matched but `1cat2` is not when `anchorMatchWholeWord` is set to **true** (its default value). **Note:** You can only specify the value of this property in POST requests.
- `anchorCaseSensitiveMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorHorizontalAlignment` (string, optional) — This property controls how [anchor tabs](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) are aligned in relation to the anchor text. Possible values are : - `left`: Aligns the left side of the tab with the beginning of the first character of the matching anchor word. This is the default value. - `right`: Aligns the tab’s left side with the last character of the matching anchor word. **Note:** You can only specify the value of this property in POST requests.
- `anchorHorizontalAlignmentMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorIgnoreIfNotPresent` (string, optional) — When **true,** this tab is ignored if the `anchorString` is not found in the document.
- `anchorIgnoreIfNotPresentMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorMatchWholeWord` (string, optional) — When **true,** the text string in a document must match the value of the `anchorString` property in its entirety for an [anchor tab](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) to be created. The default value is **false.** For example, when set to **true,** if the input is `man` then `man` will match but `manpower`, `fireman`, and `penmanship` will not. When **false,** if the input is `man` then `man`, `manpower`, `fireman`, and `penmanship` will all match. This functionality uses the following rules: - Unless punctuation is specified in the `anchorString`, this functionality ignores punctuation and the following characters: $~>&lt;|^+= For example, the `anchorString` `water` will match on the string `Fetch a pail of water.` - Strings embedded in other strings are ignored during the matching process. - In words that have dashes, the parts separated by dashes are treated as distinct words. Example: If the anchor string is `forget`, then an anchor tab is placed on the `forget` in `forget-me-not`, even when `anchorMatchWholeWord` is set to **true.** - Letters with accent marks are treated as distinct characters from their unaccented counterparts. - For single-character anchor strings, if the two characters appear right next to each other in the document, a single anchor tab is placed for both of them. Example: If the anchor string is `i`, then only one anchor tab is placed in `skiing`. - Unlike punctuation, numbers are not ignored when finding anchor words. Example: If the anchor string is `cat`, then `-cat-` is matched but `1cat2` is not when `anchorMatchWholeWord` is set to **true** (its default value). **Note:** You can only specify the value of this property in POST requests.
- `anchorMatchWholeWordMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorString` (string, optional) — Specifies the string to find in the document and use as the basis for tab placement.
- `anchorStringMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorTabProcessorVersion` (string, optional) — Reserved for Docusign.
- `anchorTabProcessorVersionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorTabScope` (string, optional)
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` (default) - `inches` - `mms` - `cms`
- `anchorUnitsMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab, in anchorUnits, relative to the anchorString.
- `anchorXOffsetMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab, in anchorUnits, relative to the anchorString.
- `anchorYOffsetMetadata` (propertyMetadata, optional) — Metadata about a property.
- `bold` (string, optional) — When **true,** the information in the tab is bold.
- `boldMetadata` (propertyMetadata, optional) — Metadata about a property.
- `caption` (string, optional)
- `captionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `conditionalParentValueMetadata` (propertyMetadata, optional) — Metadata about a property.
- `connectedObjectDetails` (connectedObjectDetails, optional)
- `customTabId` (string, optional) — The Docusign-generated custom tab ID for the custom tab to apply. This property can only be used when adding new tabs for a recipient. When used, the new tab inherits all custom tab properties.
- `customTabIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `documentIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `extensionData` (extensionData, optional)
- `font` (string, optional) — The font to be used for the tab value. Supported fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OcrA (OCR-A) - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color to use for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontColorMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fontMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `fontSizeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formOrder` (string, optional) — An integer specifying the order in which the guided form HTML should render. The order is relative to the `formPageLabel`, the group by which to place the guided form HTML block.
- `formOrderMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formPageLabel` (string, optional) — A string specifying the group in which to place the guided form HTML. Each group displays as a separate guided forms page in the signing experience.
- `formPageLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formPageNumber` (string, optional) — An integer specifying the order in which to present the guided form pages.
- `formPageNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `height` (string, optional) — The height of the tab in pixels. Must be an integer.
- `heightMetadata` (propertyMetadata, optional) — Metadata about a property.
- `italic` (string, optional) — When **true,** the information in the tab is italic.
- `italicMetadata` (propertyMetadata, optional) — Metadata about a property.
- `locked` (string, optional) — When **true,** the signer cannot change the data of the custom tab.
- `lockedMetadata` (propertyMetadata, optional) — Metadata about a property.
- `mergeField` (mergeField, optional) — Contains information for transferring values between Salesforce data fields and Docusign tabs.
- `mergeFieldXml` (string, optional) — Reserved for Docusign.
- `name` (string, optional) — The name of the tab. For example, `Sign Here` or `Initial Here`. If the `tooltip` attribute is not set, this value will be displayed as the custom tooltip text.
- `nameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `pageNumber` (string, optional) — The page number on which the tab is located. For supplemental documents, this value must be `1`.
- `pageNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `recipientId` (string, optional) — The ID of the recipient to whom the tab will be assigned. This value should match the `recipientId` defined in the recipient object.
- `recipientIdGuid` (string, optional) — The globally-unique identifier (GUID) for a specific recipient on a specific envelope. If the same recipient is associated with multiple envelopes, they will have a different GUID for each one. This property is read-only.
- `recipientIdGuidMetadata` (propertyMetadata, optional) — Metadata about a property.
- `recipientIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `required` (string, optional) — This property does not apply to `checkbox` tabs. To require users to check at least one, or at most some number of checkboxes, associate the checkbox tabs with a [`tabGroup`](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#definition__enveloperecipienttabs_tabgroups). Then set the following `tabGroup` properties: - [`maximumAllowed`](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#definition__enveloperecipienttabs_tabgroups_maximumallowed) - [`minimumRequired`](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#definition__enveloperecipienttabs_tabgroups_minimumrequired) - [`groupRule`](/docs/esign-rest-api/reference/envelopes/enveloperecipienttabs/create/#definition__enveloperecipienttabs_tabgroups_grouprule) specifies how the other two properties are interpreted. You can find an example at [Stack Overflow](https://stackoverflow.com/questions/58209376/checkbox-validation-using-docusign-rest-api/58210277#58210277).
- `requiredMetadata` (propertyMetadata, optional) — Metadata about a property.
- `requireInitialOnSharedChange` (string, optional) — Optional element for field markup. When **true,** the signer is required to initial when they modify a shared field.
- `requireInitialOnSharedChangeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `selected` (string, optional) — When **true,** the checkbox is selected.
- `selectedMetadata` (propertyMetadata, optional) — Metadata about a property.
- `selectedOriginal` (string, optional)
- `selectedOriginalMetadata` (propertyMetadata, optional) — Metadata about a property.
- `shared` (string, optional) — When **true,** this tab is shared.
- `sharedMetadata` (propertyMetadata, optional) — Metadata about a property.
- `shareToRecipients` (string, optional) — Reserved for Docusign.
- `shareToRecipientsMetadata` (propertyMetadata, optional) — Metadata about a property.
- `smartContractInformation` (smartContractInformation, optional)
- `source` (string, optional) — Reserved for Docusign.
- `status` (string, optional) — The status of the tab. Possible values are: - `active`: The tab is active, but the recipient has not yet interacted with it. - `signed`: The recipient signed the tab. - `declined`: The recipient declined the envelope. - `na`: Used when the `status` property is not applicable to the tab type. (For example, a tab that has the `tabType` `SignerAttachmentOptional`).
- `statusMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabFullyQualifiedPath` (string, optional)
- `tabGroupLabels` (list of string, optional) — An array of tab groups that this tab belongs to. Tab groups are identified by their `groupLabel` property. To associate this tab with a tab group, add the tab group's `groupLabel` to this array.
- `tabGroupLabelsMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabLabel` (string, optional) — The label associated with the tab. This value may be an empty string. If no value is provided, the tab type is used as the value. Maximum Length: 500 characters.
- `tabLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `tabOrderMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabType` (string, optional) — Indicates the type of tab (for example, `signHere` or `initialHere`).
- `tabTypeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `templateLocked` (string, optional) — When **true,** the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateLockedMetadata` (propertyMetadata, optional) — Metadata about a property.
- `templateRequired` (string, optional) — When **true,** the sender may not remove the recipient. Used only when working with template recipients.
- `templateRequiredMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tooltip` (string, optional) — The text of a tooltip that appears when a user hovers over a form field or tab.
- `toolTipMetadata` (propertyMetadata, optional) — Metadata about a property.
- `underline` (string, optional) — When **true,** the information in the tab is underlined.
- `underlineMetadata` (propertyMetadata, optional) — Metadata about a property.
- `warningDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `width` (string, optional) — The width of the tab in pixels. Must be an integer.
- `widthMetadata` (propertyMetadata, optional) — Metadata about a property.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. Docusign uses 72 DPI when determining position. Required. Must be an integer. May be zero. To improve the tab's position on the document, Docusign recommends adjusting `xPosition` and `yPosition` coordinates by (-7, -6)
- `xPositionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. Docusign uses 72 DPI when determining position. Required. Must be an integer. May be zero. To improve the tab's position on the document, Docusign recommends adjusting `xPosition` and `yPosition` coordinates by (-7, -6)
- `yPositionMetadata` (propertyMetadata, optional) — Metadata about a property.

### commentThread

- `agreementAttribute` (string, optional) — N/A - do not use
- `agreementAttributeLocked` (string, optional) — N/A - do not use
- `anchorAllowWhiteSpaceInCharacters` (string, optional) — When **true,** the text string in the document may have extra whitespace and still match the anchor string. This occurs in two cases. First, it matches if the document string has a single extra whitespace character following a non-whitespace character in the anchor string. For example, if the anchor string is `DocuSign`, then `Docu Sign` will match. However, `Docu Sign` will not match. Second, it matches if the document string has one or more extra whitespace characters following a whitespace character in the anchor string. For example, if the anchor string is `Docu Sign`, then `Docu Sign` will match. The default value is **true.**
- `anchorAllowWhiteSpaceInCharactersMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorCaseSensitive` (string, optional) — This property controls how [anchor tabs](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) are placed. When **true,** the text string in a document must match the case of the `anchorString` property for an anchor tab to be created. The default value is **false.** For example, when set to **true,** if the anchor string is `DocuSign`, then `DocuSign` will match but `Docusign`, `docusign`, `DoCuSiGn`, etc. will not match. When **false,** `DocuSign`, `Docusign`, `docusign`, `DoCuSiGn`, etc. will all match. This functionality uses the following rules: - Unless punctuation is specified in the `anchorString`, this functionality ignores punctuation and the following characters: $~>&lt;|^+= For example, the `anchorString` `water` will match on the string `Fetch a pail of water.` - Strings embedded in other strings are ignored during the matching process. - In words that have dashes, the parts separated by dashes are treated as distinct words. Example: If the anchor string is `forget`, then an anchor tab is placed on the `forget` in `forget-me-not`, even when `anchorMatchWholeWord` is set to **true.** - Letters with accent marks are treated as distinct characters from their unaccented counterparts. - For single-character anchor strings, if the two characters appear right next to each other in the document, a single anchor tab is placed for both of them. Example: If the anchor string is `i`, then only one anchor tab is placed in `skiing`. - Unlike punctuation, numbers are not ignored when finding anchor words. Example: If the anchor string is `cat`, then `-cat-` is matched but `1cat2` is not when `anchorMatchWholeWord` is set to **true** (its default value). **Note:** You can only specify the value of this property in POST requests.
- `anchorCaseSensitiveMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorHorizontalAlignment` (string, optional) — This property controls how [anchor tabs](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) are aligned in relation to the anchor text. Possible values are : - `left`: Aligns the left side of the tab with the beginning of the first character of the matching anchor word. This is the default value. - `right`: Aligns the tab’s left side with the last character of the matching anchor word. **Note:** You can only specify the value of this property in POST requests.
- `anchorHorizontalAlignmentMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorIgnoreIfNotPresent` (string, optional) — When **true,** this tab is ignored if the `anchorString` is not found in the document.
- `anchorIgnoreIfNotPresentMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorMatchWholeWord` (string, optional) — When **true,** the text string in a document must match the value of the `anchorString` property in its entirety for an [anchor tab](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) to be created. The default value is **false.** For example, when set to **true,** if the input is `man` then `man` will match but `manpower`, `fireman`, and `penmanship` will not. When **false,** if the input is `man` then `man`, `manpower`, `fireman`, and `penmanship` will all match. This functionality uses the following rules: - Unless punctuation is specified in the `anchorString`, this functionality ignores punctuation and the following characters: $~>&lt;|^+= For example, the `anchorString` `water` will match on the string `Fetch a pail of water.` - Strings embedded in other strings are ignored during the matching process. - In words that have dashes, the parts separated by dashes are treated as distinct words. Example: If the anchor string is `forget`, then an anchor tab is placed on the `forget` in `forget-me-not`, even when `anchorMatchWholeWord` is set to **true.** - Letters with accent marks are treated as distinct characters from their unaccented counterparts. - For single-character anchor strings, if the two characters appear right next to each other in the document, a single anchor tab is placed for both of them. Example: If the anchor string is `i`, then only one anchor tab is placed in `skiing`. - Unlike punctuation, numbers are not ignored when finding anchor words. Example: If the anchor string is `cat`, then `-cat-` is matched but `1cat2` is not when `anchorMatchWholeWord` is set to **true** (its default value). **Note:** You can only specify the value of this property in POST requests.
- `anchorMatchWholeWordMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorString` (string, optional) — Specifies the string to find in the document and use as the basis for tab placement.
- `anchorStringMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorTabProcessorVersion` (string, optional) — Reserved for Docusign.
- `anchorTabProcessorVersionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorTabScope` (string, optional)
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` (default) - `inches` - `mms` - `cms`
- `anchorUnitsMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab, in anchorUnits, relative to the anchorString.
- `anchorXOffsetMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab, in anchorUnits, relative to the anchorString.
- `anchorYOffsetMetadata` (propertyMetadata, optional) — Metadata about a property.
- `bold` (string, optional) — When **true,** the information in the tab is bold.
- `boldMetadata` (propertyMetadata, optional) — Metadata about a property.
- `caption` (string, optional)
- `captionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `comments` (list of comment, optional) — An array of comment tabs that contain information about users' comments on documents.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `conditionalParentValueMetadata` (propertyMetadata, optional) — Metadata about a property.
- `connectedObjectDetails` (connectedObjectDetails, optional)
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `customTabIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `documentIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `extensionData` (extensionData, optional)
- `font` (string, optional) — The font to be used for the tab value. Supported fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OcrA (OCR-A) - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color to use for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontColorMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fontMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `fontSizeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formOrder` (string, optional) — An integer specifying the order in which the guided form HTML should render. The order is relative to the `formPageLabel`, the group by which to place the guided form HTML block.
- `formOrderMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formPageLabel` (string, optional) — A string specifying the group in which to place the guided form HTML. Each group displays as a separate guided forms page in the signing experience.
- `formPageLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formPageNumber` (string, optional) — An integer specifying the order in which to present the guided form pages.
- `formPageNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `height` (string, optional) — The height of the tab in pixels. Must be an integer.
- `heightMetadata` (propertyMetadata, optional) — Metadata about a property.
- `italic` (string, optional) — When **true,** the information in the tab is italic.
- `italicMetadata` (propertyMetadata, optional) — Metadata about a property.
- `localePolicy` (localePolicyTab, optional) — Allows you to customize locale settings.
- `mergeField` (mergeField, optional) — Contains information for transferring values between Salesforce data fields and Docusign tabs.
- `mergeFieldXml` (string, optional) — Reserved for Docusign.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located.
- `pageNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `recipientId` (string, optional) — The ID of the recipient to whom the tab will be assigned. This value should match the `recipientId` defined in the recipient object.
- `recipientIdGuid` (string, optional) — The globally-unique identifier (GUID) for a specific recipient on a specific envelope. If the same recipient is associated with multiple envelopes, they will have a different GUID for each one. This property is read-only.
- `recipientIdGuidMetadata` (propertyMetadata, optional) — Metadata about a property.
- `recipientIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `smartContractInformation` (smartContractInformation, optional)
- `source` (string, optional) — Reserved for Docusign.
- `status` (string, optional) — The status of the tab. Possible values are: - `active`: The tab is active, but the recipient has not yet interacted with it. - `signed`: The recipient signed the tab. - `declined`: The recipient declined the envelope. - `na`: Used when the `status` property is not applicable to the tab type. (For example, a tab that has the `tabType` `SignerAttachmentOptional`).
- `statusMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabFullyQualifiedPath` (string, optional)
- `tabGroupLabels` (list of string, optional) — An array of tab groups that this tab belongs to. Tab groups are identified by their `groupLabel` property. To associate this tab with a tab group, add the tab group's `groupLabel` to this array.
- `tabGroupLabelsMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabLabel` (string, optional) — The label associated with the tab. This value may be an empty string. If no value is provided, the tab type is used as the value. Maximum Length: 500 characters.
- `tabLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `tabOrderMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabType` (string, optional) — Indicates the type of tab (for example, `signHere` or `initialHere`).
- `tabTypeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `templateLocked` (string, optional) — When **true,** the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateLockedMetadata` (propertyMetadata, optional) — Metadata about a property.
- `templateRequired` (string, optional) — When **true,** the sender may not remove the recipient. Used only when working with template recipients.
- `templateRequiredMetadata` (propertyMetadata, optional) — Metadata about a property.
- `threadId` (string, optional) — The unique identifier for the comment thread.
- `tooltip` (string, optional) — The text of a tooltip that appears when a user hovers over a form field or tab.
- `toolTipMetadata` (propertyMetadata, optional) — Metadata about a property.
- `underline` (string, optional) — When **true,** the information in the tab is underlined.
- `underlineMetadata` (propertyMetadata, optional) — Metadata about a property.
- `warningDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `width` (string, optional) — The width of the tab in pixels. Must be an integer.
- `widthMetadata` (propertyMetadata, optional) — Metadata about a property.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. Docusign uses 72 DPI when determining position. Required. Must be an integer. May be zero.
- `xPositionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. Docusign uses 72 DPI when determining position. Required. Must be an integer. May be zero.
- `yPositionMetadata` (propertyMetadata, optional) — Metadata about a property.

### commissionCounty

A Commission County tab displays the county of a notary's commission. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using [DocuSign Notary](/docs/notary-api/).

- `agreementAttribute` (string, optional) — N/A - do not use
- `agreementAttributeLocked` (string, optional) — N/A - do not use
- `anchorAllowWhiteSpaceInCharacters` (string, optional) — When **true,** the text string in the document may have extra whitespace and still match the anchor string. This occurs in two cases. First, it matches if the document string has a single extra whitespace character following a non-whitespace character in the anchor string. For example, if the anchor string is `DocuSign`, then `Docu Sign` will match. However, `Docu Sign` will not match. Second, it matches if the document string has one or more extra whitespace characters following a whitespace character in the anchor string. For example, if the anchor string is `Docu Sign`, then `Docu Sign` will match. The default value is **true.**
- `anchorAllowWhiteSpaceInCharactersMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorCaseSensitive` (string, optional) — This property controls how [anchor tabs](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) are placed. When **true,** the text string in a document must match the case of the `anchorString` property for an anchor tab to be created. The default value is **false.** For example, when set to **true,** if the anchor string is `DocuSign`, then `DocuSign` will match but `Docusign`, `docusign`, `DoCuSiGn`, etc. will not match. When **false,** `DocuSign`, `Docusign`, `docusign`, `DoCuSiGn`, etc. will all match. This functionality uses the following rules: - Unless punctuation is specified in the `anchorString`, this functionality ignores punctuation and the following characters: $~>&lt;|^+= For example, the `anchorString` `water` will match on the string `Fetch a pail of water.` - Strings embedded in other strings are ignored during the matching process. - In words that have dashes, the parts separated by dashes are treated as distinct words. Example: If the anchor string is `forget`, then an anchor tab is placed on the `forget` in `forget-me-not`, even when `anchorMatchWholeWord` is set to **true.** - Letters with accent marks are treated as distinct characters from their unaccented counterparts. - For single-character anchor strings, if the two characters appear right next to each other in the document, a single anchor tab is placed for both of them. Example: If the anchor string is `i`, then only one anchor tab is placed in `skiing`. - Unlike punctuation, numbers are not ignored when finding anchor words. Example: If the anchor string is `cat`, then `-cat-` is matched but `1cat2` is not when `anchorMatchWholeWord` is set to **true** (its default value). **Note:** You can only specify the value of this property in POST requests.
- `anchorCaseSensitiveMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorHorizontalAlignment` (string, optional) — This property controls how [anchor tabs](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) are aligned in relation to the anchor text. Possible values are : - `left`: Aligns the left side of the tab with the beginning of the first character of the matching anchor word. This is the default value. - `right`: Aligns the tab’s left side with the last character of the matching anchor word. **Note:** You can only specify the value of this property in POST requests.
- `anchorHorizontalAlignmentMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorIgnoreIfNotPresent` (string, optional) — When **true,** this tab is ignored if the `anchorString` is not found in the document.
- `anchorIgnoreIfNotPresentMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorMatchWholeWord` (string, optional) — When **true,** the text string in a document must match the value of the `anchorString` property in its entirety for an [anchor tab](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) to be created. The default value is **false.** For example, when set to **true,** if the input is `man` then `man` will match but `manpower`, `fireman`, and `penmanship` will not. When **false,** if the input is `man` then `man`, `manpower`, `fireman`, and `penmanship` will all match. This functionality uses the following rules: - Unless punctuation is specified in the `anchorString`, this functionality ignores punctuation and the following characters: $~>&lt;|^+= For example, the `anchorString` `water` will match on the string `Fetch a pail of water.` - Strings embedded in other strings are ignored during the matching process. - In words that have dashes, the parts separated by dashes are treated as distinct words. Example: If the anchor string is `forget`, then an anchor tab is placed on the `forget` in `forget-me-not`, even when `anchorMatchWholeWord` is set to **true.** - Letters with accent marks are treated as distinct characters from their unaccented counterparts. - For single-character anchor strings, if the two characters appear right next to each other in the document, a single anchor tab is placed for both of them. Example: If the anchor string is `i`, then only one anchor tab is placed in `skiing`. - Unlike punctuation, numbers are not ignored when finding anchor words. Example: If the anchor string is `cat`, then `-cat-` is matched but `1cat2` is not when `anchorMatchWholeWord` is set to **true** (its default value). **Note:** You can only specify the value of this property in POST requests.
- `anchorMatchWholeWordMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorString` (string, optional) — Specifies the string to find in the document and use as the basis for tab placement.
- `anchorStringMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorTabProcessorVersion` (string, optional) — Reserved for Docusign.
- `anchorTabProcessorVersionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorTabScope` (string, optional)
- `anchorUnits` (string, optional) — Specifies units of the `anchorXOffset` and `anchorYOffset`. Valid units are: - `pixels` (default) - `inches` - `mms` - `cms`
- `anchorUnitsMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorXOffset` (string, optional) — Specifies the X axis location of the tab, in anchorUnits, relative to the anchorString.
- `anchorXOffsetMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorYOffset` (string, optional) — Specifies the Y axis location of the tab, in anchorUnits, relative to the anchorString.
- `anchorYOffsetMetadata` (propertyMetadata, optional) — Metadata about a property.
- `bold` (string, optional) — When **true,** the information in the tab is bold.
- `boldMetadata` (propertyMetadata, optional) — Metadata about a property.
- `caption` (string, optional)
- `captionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `concealValueOnDocument` (string, optional) — When **true,** the field appears normally while the recipient is adding or modifying the information in the field, but the data is not visible (the characters are hidden by asterisks) to any other signer or the sender. When an envelope is completed the information is only available to the sender through the Form Data link in the Docusign console. The information on the downloaded document remains masked by asterisks. This setting applies only to text boxes and does not affect list boxes, radio buttons, or check boxes.
- `concealValueOnDocumentMetadata` (propertyMetadata, optional) — Metadata about a property.
- `conditionalParentLabel` (string, optional) — For conditional fields this is the TabLabel of the parent tab that controls this tab's visibility.
- `conditionalParentLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `conditionalParentValue` (string, optional) — For conditional fields, this is the value of the parent tab that controls the tab's visibility. If the parent tab is a Checkbox, Radio button, Optional Signature, or Optional Initial use "on" as the value to show that the parent tab is active.
- `conditionalParentValueMetadata` (propertyMetadata, optional) — Metadata about a property.
- `connectedObjectDetails` (connectedObjectDetails, optional)
- `customTabId` (string, optional) — The DocuSign generated custom tab ID for the custom tab to be applied. This can only be used when adding new tabs for a recipient. When used, the new tab inherits all the custom tab properties.
- `customTabIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `disableAutoSize` (string, optional) — When **true,** disables the auto sizing of single line text boxes in the signing screen when the signer enters data. If disabled users will only be able enter as much data as the text box can hold. By default this is false. This property only affects single line text boxes.
- `disableAutoSizeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `documentIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `extensionData` (extensionData, optional)
- `font` (string, optional) — The font to be used for the tab value. Supported fonts include: - Default - Arial - ArialNarrow - Calibri - CourierNew - Garamond - Georgia - Helvetica - LucidaConsole - MSGothic - MSMincho - OcrA (OCR-A) - Tahoma - TimesNewRoman - Trebuchet - Verdana
- `fontColor` (string, optional) — The font color to use for the information in the tab. Possible values are: - Black - BrightBlue - BrightRed - DarkGreen - DarkRed - Gold - Green - NavyBlue - Purple - White
- `fontColorMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fontMetadata` (propertyMetadata, optional) — Metadata about a property.
- `fontSize` (string, optional) — The font size used for the information in the tab. Possible values are: - Size7 - Size8 - Size9 - Size10 - Size11 - Size12 - Size14 - Size16 - Size18 - Size20 - Size22 - Size24 - Size26 - Size28 - Size36 - Size48 - Size72
- `fontSizeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formOrder` (string, optional) — An integer specifying the order in which the guided form HTML should render. The order is relative to the `formPageLabel`, the group by which to place the guided form HTML block.
- `formOrderMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formPageLabel` (string, optional) — A string specifying the group in which to place the guided form HTML. Each group displays as a separate guided forms page in the signing experience.
- `formPageLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `formPageNumber` (string, optional) — An integer specifying the order in which to present the guided form pages.
- `formPageNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `height` (string, optional) — The height of the tab in pixels. Must be an integer.
- `heightMetadata` (propertyMetadata, optional) — Metadata about a property.
- `italic` (string, optional) — When **true,** the information in the tab is italic.
- `italicMetadata` (propertyMetadata, optional) — Metadata about a property.
- `localePolicy` (localePolicyTab, optional) — Allows you to customize locale settings.
- `locked` (string, optional) — When **true,** the signer cannot change the data of the custom tab.
- `lockedMetadata` (propertyMetadata, optional) — Metadata about a property.
- `maxLength` (string, optional) — An optional value that describes the maximum length of the property when the property is a string.
- `maxLengthMetadata` (propertyMetadata, optional) — Metadata about a property.
- `mergeField` (mergeField, optional) — Contains information for transferring values between Salesforce data fields and Docusign tabs.
- `mergeFieldXml` (string, optional) — Reserved for Docusign.
- `name` (string, optional)
- `nameMetadata` (propertyMetadata, optional) — Metadata about a property.
- `originalValue` (string, optional) — The initial value of the tab.
- `originalValueMetadata` (propertyMetadata, optional) — Metadata about a property.
- `pageNumber` (string, optional) — Specifies the page number on which the tab is located.
- `pageNumberMetadata` (propertyMetadata, optional) — Metadata about a property.
- `recipientId` (string, optional) — The ID of the recipient to whom the tab will be assigned. This value should match the `recipientId` defined in the recipient object.
- `recipientIdGuid` (string, optional) — The globally-unique identifier (GUID) for a specific recipient on a specific envelope. If the same recipient is associated with multiple envelopes, they will have a different GUID for each one. This property is read-only.
- `recipientIdGuidMetadata` (propertyMetadata, optional) — Metadata about a property.
- `recipientIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `required` (string, optional) — When **true,** the signer is required to fill out this tab.
- `requiredMetadata` (propertyMetadata, optional) — Metadata about a property.
- `smartContractInformation` (smartContractInformation, optional)
- `source` (string, optional) — Reserved for Docusign.
- `status` (string, optional) — Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later.
- `statusMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabFullyQualifiedPath` (string, optional)
- `tabGroupLabels` (list of string, optional) — An array of tab groups that this tab belongs to. Tab groups are identified by their `groupLabel` property. To associate this tab with a tab group, add the tab group's `groupLabel` to this array.
- `tabGroupLabelsMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabId` (string, optional) — The unique identifier for the tab.
- `tabIdMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabLabel` (string, optional) — The label associated with the tab. This value may be an empty string. If no value is provided, the tab type is used as the value. Maximum Length: 500 characters.
- `tabLabelMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabOrder` (string, optional) — A positive integer that sets the order the tab is navigated to during signing. Tabs on a page are navigated to in ascending order, starting with the lowest number and moving to the highest. If two or more tabs have the same `tabOrder` value, the normal auto-navigation setting behavior for the envelope is used.
- `tabOrderMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tabType` (string, optional) — Indicates the type of tab (for example, `signHere` or `initialHere`).
- `tabTypeMetadata` (propertyMetadata, optional) — Metadata about a property.
- `templateLocked` (string, optional) — When **true,** the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateLockedMetadata` (propertyMetadata, optional) — Metadata about a property.
- `templateRequired` (string, optional) — When **true,** the sender may not remove the recipient. Used only when working with template recipients.
- `templateRequiredMetadata` (propertyMetadata, optional) — Metadata about a property.
- `tooltip` (string, optional) — The text of a tooltip that appears when a user hovers over a form field or tab.
- `toolTipMetadata` (propertyMetadata, optional) — Metadata about a property.
- `underline` (string, optional) — When **true,** the information in the tab is underlined.
- `underlineMetadata` (propertyMetadata, optional) — Metadata about a property.
- `value` (string, optional) — Specifies the value of the tab.
- `valueMetadata` (propertyMetadata, optional) — Metadata about a property.
- `warningDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `width` (string, optional) — The width of the tab in pixels. Must be an integer.
- `widthMetadata` (propertyMetadata, optional) — Metadata about a property.
- `xPosition` (string, optional) — This property indicates the horizontal offset of the object on the page. Docusign uses 72 DPI when determining position. Required. Must be an integer. May be zero.
- `xPositionMetadata` (propertyMetadata, optional) — Metadata about a property.
- `yPosition` (string, optional) — This property indicates the vertical offset of the object on the page. Docusign uses 72 DPI when determining position. Required. Must be an integer. May be zero.
- `yPositionMetadata` (propertyMetadata, optional) — Metadata about a property.

### commissionExpiration

A Commission Expiration tab displays the expiration date of a notary's commission. The tab is populated with the notary's commission information, but the recipient can also edit the value when notarizing. This tab can only be assigned to a remote notary recipient using [DocuSign Notary](/docs/notary-api/).

- `agreementAttribute` (string, optional) — N/A - do not use
- `agreementAttributeLocked` (string, optional) — N/A - do not use
- `anchorAllowWhiteSpaceInCharacters` (string, optional) — When **true,** the text string in the document may have extra whitespace and still match the anchor string. This occurs in two cases. First, it matches if the document string has a single extra whitespace character following a non-whitespace character in the anchor string. For example, if the anchor string is `DocuSign`, then `Docu Sign` will match. However, `Docu Sign` will not match. Second, it matches if the document string has one or more extra whitespace characters following a whitespace character in the anchor string. For example, if the anchor string is `Docu Sign`, then `Docu Sign` will match. The default value is **true.**
- `anchorAllowWhiteSpaceInCharactersMetadata` (propertyMetadata, optional) — Metadata about a property.
- `anchorCaseSensitive` (string, optional) — This property controls how [anchor tabs](/docs/esign-rest-api/esign101/concepts/tabs/auto-place/) are placed. When **true,** the text string in a document must match the case of the `anchorString` property for an anchor tab to be created. The default value is **false.** For example, when set to **true,** if the anchor string is `DocuSign`, then `DocuSign` will match but `Docusign`, `docusign`, `DoCuSiGn`, etc. will not match. When **false,** `DocuSign`, `Docusign`, `docusign`, `DoCuSiGn`, etc. will all match. This functionality uses the following rules: - Unless punctuation is specified in the `anchorString`, this functionality ignores punctuation and the following characters: $~>&lt;|^+= For example, the `anchorString` `water` will match on the string `Fetch a pail of water.` - Strings embedded in other strings are ignored during the matching process. - In words that have dashes, the parts separated by dashes are treated as distinct words. Example: If the anchor string is `forget`, then an anchor tab is placed on the `forget` in `forget-me-not`, even when `anchorMatchWholeWord` is set to **true.** - Letters with accent marks are treated as distinct characters from their unaccented counterparts. - For single-character anchor strings, if the two characters appear right next to each other in the document, a single anchor tab is placed for both of them. Example: If the anchor string is `i`, then only one anchor tab is placed in `skiing`. - Unlike punctuation, numbers are not ignored when finding anchor words. Example: If the anchor string is `cat`, then `-cat-` is matched but `1cat2` is not when `anchorMatchWholeWord` is set to **true** (its default value). **Note:** You can only specify the value of this property in POST requests.
- `anchorCaseSensitiveMetadata` (propertyMetadata, optional) — Metadata about a property.
[...]
